LMDE3 - Install latest version of Wine

Write tutorials here
More tutorials here http://community.linuxmint.com/tutorial/welcome
Forum rules
Do not start a support topic here please, Before you post please read this
Post Reply
rbeltz48
Level 4
Level 4
Posts: 238
Joined: Mon Jan 16, 2012 3:08 pm
Location: Florida, USA

LMDE3 - Install latest version of Wine

Post by rbeltz48 » Fri Aug 03, 2018 1:04 pm

Go to a Terminal and run the following commands:

1. sudo dpkg --add-architecture i386
2. wget -nc https://dl.winehq.org/wine-builds/Release.key
3. sudo apt-key add Release.key
4. sudo apt-add-repository 'deb https://dl.winehq.org/wine-builds/debian/ stretch main'
5. sudo apt-get update
6. If you want to get the stable version: sudo apt-get install --install-recommends winehq-stable

It worked for me like a charm. I hope it works for you if you need to run any Windows programs in LMDE3. The same procedure works for Mint 19 by changing #4 above to 'deb https://dl.winehq.org/wine-builds/ubuntu/ bionic main'

Instructions adapted from https://wiki.winehq.org/Debian.

youstupiddarkness
Level 1
Level 1
Posts: 26
Joined: Sat Jun 17, 2017 8:29 pm

Re: LMDE3 - Install latest version of Wine

Post by youstupiddarkness » Sat Aug 25, 2018 7:09 pm

Consider a case where the user is already running a 32-bit system...

User avatar
ChrisMW
Level 1
Level 1
Posts: 21
Joined: Sun May 17, 2015 6:02 am

Re: LMDE3 - Install latest version of Wine

Post by ChrisMW » Sun Aug 26, 2018 4:41 pm

Interingly I installed from the Stretch Backports, doing what Debian recommends. https://wiki.debian.org/Wine

So just

Code: Select all

sudo apt install -t stretch-backports\
      wine \
      wine32 \
      wine64 \
      libwine \
      libwine:i386 \
      fonts-wine
This is assuming you have a 64bit install and want working 32 & 64 prefixes, and previously added the stretch backports. This works also, no issues found so far. Have validated that I have a properly working 32 and 64 bit prefix. Personally I prefer to use q4wine (from the same repository) to manage the prefixes. It handles winetricks well, and allows for somewhat easier command line invocations of programs you've installed in a prefix using, such as:

Code: Select all

/usr/bin/q4wine-cli  -p "Win32" -d "system"  -i "program name"
The backports yield a Wine 3.01 or so, whilst Stretch normally does Wine 1.8. The difference is very noticeable. I went this route, having been bitten by the WineHQ offerings under LDME 2 (Betsy).

fallendaemon
Level 1
Level 1
Posts: 6
Joined: Tue Jun 26, 2018 10:54 pm

Re: LMDE3 - Install latest version of Wine

Post by fallendaemon » Wed Oct 03, 2018 3:40 am

Forgive my confusion, I'm a linux noob. Do I need to do any of the commands as listed in the previous discussion above of just what you have here listed. Also, What are the commands for in your last column and is it something I need to do also for wine to run. Lastly, you referenced a different wine, what is it and why do you prefer it? Thanks, Jeff

Post Reply

Return to “Tutorials”